package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-交货规定表
 * </p>
 *
 * @author liutao
 * @since 2022-07-13
 */
@TableName("purch_contract_deliver_clause_history")
public class PurchContractDeliverClauseHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 交货地点
     */
    @TableField("deliver_site")
    private String deliverSite;

    /**
     * 交货方式
     */
    @TableField("deliver_method")
    private String deliverMethod;

    /**
     * 交货日期
     */
    @TableField("deliver_date")
    private String deliverDate;

    /**
     * 运输及保险费
     */
    @TableField("transport_premium")
    private String transportPremium;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    public String getDeliverSite() {
        return deliverSite;
    }

    public void setDeliverSite(String deliverSite) {
        this.deliverSite = deliverSite;
    }
    public String getDeliverMethod() {
        return deliverMethod;
    }

    public void setDeliverMethod(String deliverMethod) {
        this.deliverMethod = deliverMethod;
    }
    public String getDeliverDate() {
        return deliverDate;
    }

    public void setDeliverDate(String deliverDate) {
        this.deliverDate = deliverDate;
    }
    public String getTransportPremium() {
        return transportPremium;
    }

    public void setTransportPremium(String transportPremium) {
        this.transportPremium = transportPremium;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }

    @Override
    public String toString() {
        return "PurchContractDeliverClauseHistory{" +
            "deliverSite=" + deliverSite +
            ", deliverMethod=" + deliverMethod +
            ", deliverDate=" + deliverDate +
            ", transportPremium=" + transportPremium +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
        "}";
    }
}
